udev missing rule to get group video on /dev/dri/card0

Bug #317430 reported by Shiv V on 2009-01-15
4
Affects Status Importance Assigned to Milestone
udev
Fix Released
Undecided
Unassigned
udev (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: udev

Ubuntu Jaunty amd64, udev: 136-4

AFAIK, users belonging to group video used to have access to hardware-accelerated graphics through /dev/dri/card* (user: root, group: video, perm: 0660). As of my latest update, not so. Seems like in the update from udev: 124-12 to udev:136-4, the udev rules were reorganized. The files migrated from /etc/udev/rules.d to /lib/udev/rules.d. Some filenames have changed and some rules have moved. I tracked it down to a udev rule for SUBSYSTEM=="drm" that used to be in /etc/udev/rules.d/40-permissions.rules and is missing in /lib/udev/rules.d/50-udev-default.rules. Was this rule left out intentionally?

Shiv V (svenkata) wrote :
Kay Sievers (kaysievers) wrote :

Fixed in the upstream udev tree. Thanks!

Changed in udev:
status: New → Fix Committed
status: New → Triaged
Changed in udev:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 137-1

---------------
udev (137-1) jaunty; urgency=low

  * New upstream release:
    - udevadm test no longer has force option.
    - udevd has --resolve-names=early|late|never option.
    - Group of IDE CD-ROM drives fixed. LP: #315997.
    - Group of DRI subsystem fixed. LP: #317430.
    - /etc/udev/rules.d not existing is not an error. LP: #315780.
    - Bug where device nodes would be replaced by symlinks on rename has been
      fixed. LP: #315979.

  * Use --resolve-names=never in the installer and initramfs, since we don't
    have a useful name service. LP: #319199.
  * Since we don't have to worry about group lookup, we may as well copy the
    default rules into the initramfs as well. This actually double-solves
    LP: #315979.
  * Make sure the root filesystem is writable before attempting to copy
    generated rules across. LP: #224870.
  * Remove /dev/MAKEDEV symlink; the FHS no longer requires it when /dev
    is automatically managed.

  * It is not permitted to call udevadm trigger or settle during an upgrade
    without depending on udev. Attempting this will fail.
  * Change /etc/init.d/udev restart to actually restart the daemon, with a
    bit of detection to print a warning if we missed events while the
    daemon was down.
  * Refreshing /dev is now /etc/init.d/udev refresh-devices
  * Restart udev daemon after upgrade. LP: #317944.

 -- Scott James Remnant <email address hidden> Fri, 23 Jan 2009 15:15:07 +0000

Changed in udev:
status: Fix Committed → Fix Released
Tormod Volden (tormodvolden) wrote :

As I commented in bug #188759, there is an upgrade issue here, since the user defined during installation of Intrepid is not member of the "video" group.

On Fri, 2009-03-13 at 16:56 +0000, Tormod Volden wrote:

> As I commented in bug #188759, there is an upgrade issue here, since the
> user defined during installation of Intrepid is not member of the
> "video" group.
>
Users are not supposed to be members of the "video" group.

Scott
--
Scott James Remnant
<email address hidden>

Tormod Volden (tormodvolden) wrote :

The users created in Jaunty are members of "video" by default.

On Fri, 2009-03-13 at 19:07 +0000, Tormod Volden wrote:

> The users created in Jaunty are members of "video" by default.
>
For historical reasons, and we'll be correcting that soon.

Scott
--
Scott James Remnant
<email address hidden>

Martin Pitt (pitti) on 2010-04-16
Changed in udev:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers